### Class

# Foundry TextEdit

#### Description [src]

    final class Foundry.TextEdit : GObject.Object
    {
      /* No available fields */
    }

Represents a single text edit to a document.

#### Ancestors

- GObject

#### Constructors

###### foundry_text_edit_new

No description available.

#### Instance methods

###### foundry_text_edit_compare

No description available.

###### foundry_text_edit_dup_file

Gets the underlying `GFile` if any.

###### foundry_text_edit_dup_replacement

Gets the replacement text if any.

###### foundry_text_edit_get_range

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryTextEditClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.